package com.tuoheng.miniprogram.enums;

/**
 * @Author ChengWang
 * @Date 2022/12/12
 */
public enum InspectionFileHandleEnum {

    INSPECTION_FILE_ID_IS_NULL(1210800, "问题id为空"),
    TENANT_ID_IS_NULL(1210801, "租户id为空"),
    USER_ID_IS_NULL(1210802, "用户id为空"),
    USER_NAME_IS_NULL(1210803, "登录用户名为空"),
    WORK_ORDER_ID_NULL(1210804, "登录用户名为空"),
    USER_IS_NOT_EXIST(1210805, "用户为空"),
    DEPT_ID_IS_NULL(1210806, "部门id为空"),
    DATA_IS_NULL(1210807, "数据为空");


    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    InspectionFileHandleEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
